#if !defined(AFX_GISTOGRAMPROPDLG_H__DC049D43_A75C_465A_BF80_D3919301109F__INCLUDED_)
#define AFX_GISTOGRAMPROPDLG_H__DC049D43_A75C_465A_BF80_D3919301109F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GistogramPropDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGistogramPropDlg dialog
#include "ReportDict.h"
#include "PageDialog.h"
#include <AplGuiEx.h>
#include "resource.h"
#include "afxwin.h"

class CGistogramPropDlg : public CPageDialog
{
protected:
	CaplTAggr<CDiagramItem*, CDiagramItem*, APLAGGR_LIST> m_added_items;
	CaplTAggr<CDiagramItem*, CDiagramItem*, APLAGGR_LIST> m_deleted_items;
	
	CHeaderColumn	*m_pGroupCol;
	
	COLORREF		m_DefColors[7];
	int				m_DefcolorInd;
	
	CStringArray	m_ShowModes;
// Construction
public:
	CGistogramPropDlg(CWnd* pParent = NULL);   // standard constructor

	CGistogramElement	*m_pGistogram;

	bool TestUpdate();
	virtual bool UpdateDlg();
// Dialog Data
	//{{AFX_DATA(CGistogramPropDlg)
	enum { IDD = IDD_GISTOGRAM_PROP_DLG };
	CButton			m_column_btn;
	CButton			m_cycle_btn;
	CButton			m_timeline_btn;
	CSpinButtonCtrl	m_volume_spin;
	CSpinButtonCtrl	m_angel_spin;
	CaplButton		m_select_ds_btn;
	CaplButton		m_add_btn;
	CaplButton		m_delete_btn;
	CComboBox		m_DSColumnCtrl;
	CaplListCtrl	m_LinesListCtrl;
	CString			m_sName;
	int		m_iAngel;
	int		m_iVolume;
	CComboBox m_sort_type_ctrl;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGistogramPropDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void SelectColumn(CHeaderColumn *pColumn);

	// Generated message map functions
	//{{AFX_MSG(CGistogramPropDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnAddColumn();
	afx_msg void OnDelete();
	afx_msg void OnLinesListCtrlStartEdir(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnSelectDsColumn();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnSelchangeDsColumns();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GISTOGRAMPROPDLG_H__DC049D43_A75C_465A_BF80_D3919301109F__INCLUDED_)
